# -*- coding: utf-8 -*-
"""
Le troisieme module contient les fonctions a completer :
    coup_gagnant_descendant_a_droite(matrice, joueur)
    coup_gagnant_montant_a_droite(matrice, joueur)
    coup_gagnant_oblique(matrice, joueur)

"""


#  Constantes utilisees dans ce module
#  NB_LIGNE est le nombre de lignes dans la matrice de jeu.
#  NB_COLONNE est le nombre de colonnes dans la matrice de jeu.
from constantes import NB_LIGNE, NB_COLONNE



def coup_gagnant_descendant_a_droite(matrice, joueur):

    """
    Cette fonction teste toutes les positions obliques descendantes orientees a
    droite.
    Les deux boucles for imbriquees servent a essayer tous les points
    de depart des alignements possibles.
    Par exemple l'indice de colonne num_col prend les valeurs 0, 1, 2, 3 et
    l'indice de ligne num_ligne prend les valeurs 3, 4, 5.


    Parameters
    ----------
    matrice : TYPE liste de listes d'entiers.
        Elle memorise l'etat du jeu a chaque instant.
    joueur : TYPE entier.
        C'est le numero du joueur (1 ou 2).

    Returns
    -------
    resultat : TYPE booleen.
        Vaut True si la matrice contient un alignement descendant a droite de
        quatre elements identiques au numero du joueur passe en parametre.
        Par exemple quatre 1 ou quatre 2.


    """

    pass



def coup_gagnant_montant_a_droite(matrice, joueur):
    """
    Cette fonction teste toutes les positions obliques montantes orientees a
    droite.
    Les deux boucles for imbriquees servent a essayer tous les points
    de depart des alignements possibles.
    Par exemple l'indice de colonne num_col prend les valeurs 0, 1, 2, 3 et
    l'indice de ligne num_ligne prend les valeurs 0, 1, 2.


    Parameters
    ----------
    matrice : TYPE liste de listes d'entiers.
        Elle memorise l'etat du jeu a chaque instant.
    joueur : TYPE entier.
        C'est le numero du joueur (1 ou 2).

    Returns
    -------
    resultat : TYPE booleen.
        Vaut True si la matrice contient un alignement montant a droite de
        quatre elements identiques au numero du joueur passe en parametre.
        Par exemple quatre 1 ou quatre 2.


    """

    pass


def coup_gagnant_oblique(matrice, joueur):
    '''
    Cette fonction renvoie True si 4 pions de meme couleur sont alignes
    en oblique, que ce soit montant a droite ou descendant a droite.
    Elle renvoie False sinon.

    Parameters
    ----------
        matrice : TYPE liste de listes d'entiers.
                 Elle represente le plateau du jeu de 6 lignes et 7 colonnes.

        joueur : TYPE entier.
                 Vaut 1 pour verifier si le joueur 1 fait un coup gagnant.
                 Vaut 2 pour verifier si le joueur 2 fait un coup gagnant.


    Returns
    -------
        resultat : TYPE booleen.
                   resultat vaut True si 4 pions de meme couleur sont alignes
                   en oblique.
                   resultat vaut False dans le cas contraire.

    '''
    
    pass